Commit b8a7717a authored by Lucas Kanashiro's avatar Lucas Kanashiro

Add another basic autopkgtest

parent 131664c4
......@@ -4,3 +4,7 @@ Depends: obs-api, obs-server, obs-worker, obs-productconverter, obs-utils
Tests: install-purge-install
Depends: obs-api, obs-server, obs-worker, obs-productconverter, obs-utils
Restrictions: needs-root
Tests: install-break-purge
Depends: obs-api, obs-server, obs-worker, obs-productconverter, obs-utils
Restrictions: needs-root
#!/bin/sh
packages=${1:-obs-api obs-server obs-worker obs-productconverter obs-utils}
exec 2>&1
set -exu
export DEBIAN_FRONTEND=noninteractive
# if install failed for some reason or the user broke the configuration
# we should still be able to cleanup things
rm -rf /etc/obs
apt-get purge -qy $packages
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment